> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulseshiga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a quote



## OpenAPI

````yaml /api-reference/openapi.json post /v1/quotes
openapi: 3.0.0
info:
  description: Pulse Orchestration API
  title: Pulse API
  contact: {}
  version: '1.0'
servers:
  - url: https://engine-api.shiga.io
    description: Production
  - url: https://engine-api.pilot.pulseshiga.io
    description: Pilot
security: []
paths:
  /v1/quotes:
    post:
      tags:
        - Quote
      summary: Create a quote
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/quote.CreateQuoteDTO'
        description: Create quote request
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/quote.Quote'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    quote.CreateQuoteDTO:
      type: object
      required:
        - amount
        - destination_currency
        - source_currency
      properties:
        amount:
          type: string
          example: '100.50'
        destination_currency:
          type: string
        network:
          $ref: '#/components/schemas/common.Network'
        source_currency:
          type: string
    quote.Quote:
      type: object
      properties:
        destination_amount:
          type: string
          example: '138305'
        expires_at:
          type: string
        id:
          type: string
        rate:
          type: string
          example: '1383.05'
        source_amount:
          type: string
          example: '100.50'
    common.ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
    common.Network:
      type: string
      enum:
        - BASE
        - POLYGON
        - ARBITRUM
        - OPTIMISM
        - ETHEREUM
        - CELO
        - PLASMA
      x-enum-varnames:
        - NetworkBASE
        - NetworkPOLYGON
        - NetworkARBITRUM
        - NetworkOPTIMISM
        - NetworkETHEREUM
        - NetworkCELO
        - NetworkPLASMA
  securitySchemes:
    ApiKeyAuth:
      description: API key authentication
      type: apiKey
      name: X-API-Key
      in: header

````